commit:     a34635da2cf9844f088ff10ba0207c823aec1f22
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Nov 26 12:10:12 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu Nov 26 12:10:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a34635da

dev-python/pytest-sanic: version bump, add py3.8

Package-Manager: Portage-3.0.10, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/pytest-sanic/Manifest                                 | 2 +-
 .../{pytest-sanic-1.6.1.ebuild => pytest-sanic-1.6.2.ebuild}     | 9 +++++----
 2 files changed, 6 insertions(+), 5 deletions(-)

diff --git a/dev-python/pytest-sanic/Manifest b/dev-python/pytest-sanic/Manifest
index 6ac10cb7..b35148c5 100644
--- a/dev-python/pytest-sanic/Manifest
+++ b/dev-python/pytest-sanic/Manifest
@@ -1 +1 @@
-DIST pytest-sanic-1.6.1.tar.gz 30293 BLAKE2B 
4c3ee937d94f31984461bc5bc7b1912065e5ef2aa9d3b9cd022b8d2555d6fde3a75db340c93a0d81123f6e2567ad98826e684afe04aed04ea3a2d57998a3f248
 SHA512 
a7ab19e83125d7b7cf0c3584f2e47bf51593d5991ffb42a171dea081cea0ceaffc88fdb602975f1d6d6c88c95621336963490992700f2e711310f3a2f30fafb7
+DIST pytest-sanic-1.6.2.tar.gz 31480 BLAKE2B 
e579df1100bb83e95599f9d3e54892feef7186dd7a49375f618868ba3b1d73ac966224332e9751fe05b62e63cd31d2a2bed23d2e243fa75bc5445f9d85fd4a8e
 SHA512 
d04e6dbfb11f6a348923e0683848da4cb243c3ba158906f1fc56c24d23a9f947e199c16a2d8769152e46acf5c9cc179361b87c646d95075fb499d58376dce941

diff --git a/dev-python/pytest-sanic/pytest-sanic-1.6.1.ebuild 
b/dev-python/pytest-sanic/pytest-sanic-1.6.2.ebuild
similarity index 73%
rename from dev-python/pytest-sanic/pytest-sanic-1.6.1.ebuild
rename to dev-python/pytest-sanic/pytest-sanic-1.6.2.ebuild
index ec16cbbb..8f582925 100644
--- a/dev-python/pytest-sanic/pytest-sanic-1.6.1.ebuild
+++ b/dev-python/pytest-sanic/pytest-sanic-1.6.2.ebuild
@@ -3,8 +3,7 @@
 
 EAPI="7"
 
-DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_7 )
+PYTHON_COMPAT=( python3_{7,8} )
 
 inherit distutils-r1
 
@@ -22,6 +21,8 @@ KEYWORDS="~amd64 ~x86"
 RDEPEND="
        dev-python/aiohttp[${PYTHON_USEDEP}]
        dev-python/async_generator[${PYTHON_USEDEP}]
+       dev-python/pytest[${PYTHON_USEDEP}]
+       dev-python/pytest-asyncio[${PYTHON_USEDEP}]
        dev-python/sanic[${PYTHON_USEDEP}]
 "
 
@@ -30,6 +31,6 @@ distutils_enable_tests pytest
 #distutils_enable_sphinx docs
 
 python_test() {
-       # skip this test: Task was destroyed but it is pending!
-       pytest -vv --deselect 
tests/test_client_websocket.py::test_fixture_sanic_client_ws || die "Tests 
failed with ${EPYTHON}"
+       distutils_install_for_testing
+       pytest -vv || die "Tests failed with ${EPYTHON}"
 }

Reply via email to